{ config, pkgs, lib, ... }:
let
in {
  imports = [ ./sops ];
  environment.systemPackages = with pkgs; [ arion ];
  virtualisation.arion = {
    backend = "podman-socket";
    projects = {
      cloud.settings = import ./docker/cloud.nix { inherit config pkgs lib; };
      authentik.settings =
        import ./docker/authentik.nix { inherit config pkgs lib; };
    };
  };

}
